<?xml version='1.0' encoding='utf-8'?>
<widget id="com.netsyms.PackageHelper" version="1.6.5" xmlns="http://www.w3.org/ns/widgets" xmlns:cdv="http://cordova.apache.org/ns/1.0">
    <name short="PH">PackageHelper</name>
    <description>
        Assistant app for door-to-door package delivery.
    </description>
    <author email="dev@netsyms.com" href="https://netsyms.com">
        Netsyms Technologies
    </author>
    <content src="index.html" />
    <access origin="*" />
    <allow-navigation href="https://*.netsyms.com/*" />
    <allow-navigation href="app://localhost/*" />
    <allow-navigation href="https://apis.netsyms.net/*" />
    <allow-navigation href="https://maps.netsyms.net/*" />
    <allow-intent href="http://*/*" />
    <allow-intent href="https://*/*" />
    <allow-intent href="tel:*" />
    <allow-intent href="sms:*" />
    <allow-intent href="mailto:*" />
    <allow-intent href="geo:*" />
    <icon src="res/logo.png" />
    <access launch-external="yes" origin="geo:*" />
    <platform name="android">
        <hook src="scripts/npm_prepare.sh" type="before_prepare" />
        <!-- <preference name="AndroidInsecureFileModeEnabled" value="true" /> -->
        <allow-intent href="market:*" />
        <preference name="HeaderColor" value="#2196F3" />
        <resource-file src="/res/android/drawable/ic_launcher_background.xml" target="/app/src/main/res/drawable/ic_launcher_background.xml" />
        <resource-file src="/res/android/drawable/ic_launcher_foreground.xml" target="/app/src/main/res/drawable/ic_launcher_foreground.xml" />
        <resource-file src="res/android/mipmap-anydpi-v26/ic_launcher.xml" target="app/src/main/res/mipmap-anydpi-v26/ic_launcher.xml" />
        <icon background="res/android/drawable/ic_launcher_background.xml" density="mdpi" foreground="res/android/drawable/ic_launcher_foreground.xml" src="res/android/mipmap-mdpi/ic_launcher.png" />
        <icon background="res/android/drawable/ic_launcher_background.xml" density="hdpi" foreground="res/android/drawable/ic_launcher_foreground.xml" src="res/android/mipmap-hdpi/ic_launcher.png" />
        <icon background="res/android/drawable/ic_launcher_background.xml" density="xhdpi" foreground="res/android/drawable/ic_launcher_foreground.xml" src="res/android/mipmap-xhdpi/ic_launcher.png" />
        <icon background="res/android/drawable/ic_launcher_background.xml" density="xxhdpi" foreground="res/android/drawable/ic_launcher_foreground.xml" src="res/android/mipmap-xxhdpi/ic_launcher.png" />
        <icon background="res/android/drawable/ic_launcher_background.xml" density="xxxhdpi" foreground="res/android/drawable/ic_launcher_foreground.xml" src="res/android/mipmap-xxxhdpi/ic_launcher.png" />
    </platform>
    <platform name="ios">
        <preference name="StatusBarBackgroundColor" value="#F6F6F6" />
        <preference name="StatusBarStyle" value="default" />
        <preference name="SplashScreenDelay" value="3000" />
        <preference name="AutoHideSplashScreen" value="true" />
        <preference name="FadeSplashScreen" value="true" />
        <preference name="ShowSplashScreenSpinner" value="false" />
        <hook src="scripts/npm_prepare.sh" type="before_prepare" />
        <hook src="scripts/remove_powermanagement.sh" type="before_prepare" />
        <preference name="StatusBarOverlaysWebView" value="false" />
        <preference name="DisallowOverscroll" value="true" />
        <allow-intent href="itms:*" />
        <allow-intent href="itms-apps:*" />
        <preference name="scheme" value="app" />
        <preference name="hostname" value="localhost" />
        <splash src="res/ios/splash/Default@2x~universal~anyany.png" />
        <splash src="res/ios/splash/Default@2x~universal~anyany~dark.png" />
        <icon height="180" src="res/ios/icon/icon-60@3x.png" width="180" />
        <icon height="60" src="res/ios/icon/icon-60.png" width="60" />
        <icon height="120" src="res/ios/icon/icon-60@2x.png" width="120" />
        <icon height="76" src="res/ios/icon/icon-76.png" width="76" />
        <icon height="152" src="res/ios/icon/icon-76@2x.png" width="152" />
        <icon height="40" src="res/ios/icon/icon-small-40.png" width="40" />
        <icon height="80" src="res/ios/icon/icon-small-40@2x.png" width="80" />
        <icon height="57" src="res/ios/icon/icon.png" width="57" />
        <icon height="114" src="res/ios/icon/icon@2x.png" width="114" />
        <icon height="72" src="res/ios/icon/icon-72.png" width="72" />
        <icon height="144" src="res/ios/icon/icon-72@2x.png" width="144" />
        <icon height="167" src="res/ios/icon/icon-167.png" width="167" />
        <icon height="29" src="res/ios/icon/icon-small.png" width="29" />
        <icon height="58" src="res/ios/icon/icon-small@2x.png" width="58" />
        <icon height="87" src="res/ios/icon/icon-small@3x.png" width="87" />
        <icon height="50" src="res/ios/icon/icon-small-50.png" width="50" />
        <icon height="100" src="res/ios/icon/icon-small-50@2x.png" width="100" />
        <icon height="167" src="res/ios/icon/icon-83.5@2x.png" width="167" />
        <icon height="1024" src="res/ios/icon/icon-1024.png" width="1024" />
        <edit-config file="*-Info.plist" mode="merge" target="NSCameraUsageDescription">
            <string>The camera is used to scan barcodes.</string>
        </edit-config>
        <edit-config file="*-Info.plist" mode="merge" target="NSLocationWhenInUseUsageDescription">
            <string>Your location is used to provide proximity alerts and other app features. It is only transmitted when you submit a map calibration.</string>
        </edit-config>
        <edit-config file="*-Info.plist" mode="merge" target="NSLocationAlwaysAndWhenInUseUsageDescription">
            <string>Your location is used to provide proximity alerts and other app features. It is only transmitted when you submit a map calibration.</string>
        </edit-config>
        <edit-config file="*-Info.plist" mode="merge" target="NSLocationAlwaysUsageDescription">
            <string>Your location is used to provide proximity alerts and other app features. It is only transmitted when you submit a map calibration.</string>
        </edit-config>
    </platform>
</widget>
